#!/bin/sh
if ! [ -e "$HOME/.exult/blackgate/static" ] ; then
    install -m700 -d "$HOME/.exult/blackgate"
    ln -s "/usr/games/blackgate" "$HOME/.exult/blackgate/static"
fi

if ! [ -e "$HOME/.exult/serpentisle/static" ] ; then
    install -m700 -d "$HOME/.exult/serpentisle"
    ln -s "/usr/games/serpentisle" "$HOME/.exult/serpentisle/static"
fi

if  [ ! -f "$HOME/.exult.cfg" ] || [ "$(grep waves $HOME/.exult.cfg)" = "" ]; then
echo "<config>
 <disk>
  <game>
   <blackgate>
    <path>
    $HOME/.exult/blackgate
    </path>
    <gamedat_path>
    $HOME/.exult/blackgate/gamedat
    </gamedat_path>
    <savegame_path>
    $HOME/.exult/blackgate
    </savegame_path>
    <waves>
    sqsfxbg.flx    
    </waves>
    <keys>
    (default)
    </keys>
   </blackgate>
   <serpentisle>
    <path>
    $HOME/.exult/serpentisle
    </path>
    <gamedat_path>
    $HOME/.exult/serpentisle/gamedat
    </gamedat_path>
    <savegame_path>
    $HOME/.exult/serpentisle
    </savegame_path>
    <waves>
    sqsfxsi.flx    
    </waves>
    <keys>
    (default)
    </keys>
   </serpentisle>
  </game>
  <save_compression_level>
  1
  </save_compression_level>
 </disk>
 <video>
  <scale_method>
  2xSaI
  </scale_method>
  <fullscreen>
  no
  </fullscreen>
 </video>
 <gameplay>
  <right_click_closes_gumps>
  yes
  </right_click_closes_gumps>
  <mouse3rd>
  yes
  </mouse3rd>
  <fastmouse>
  yes
  </fastmouse>
  <bg_paperdolls>
  no
  </bg_paperdolls>
  <double_click_closes_gumps>
  yes
  </double_click_closes_gumps>
  <walk_after_teleport>
  no
  </walk_after_teleport>
  <combat>
   <difficulty>
   0
   </difficulty>
  </combat>
 </gameplay>
 <audio>
  <enabled>
  yes
  </enabled>
  <effects>
   <enabled>
   yes
   </enabled>
   <convert>
   gs
   </convert>
  </effects>
  <midi>
   <enabled>
   yes
   </enabled>
   <convert>
   gs
   </convert>
   <reverb>
    <enabled>
    yes
    </enabled>
    <level>
    0
    </level>
   </reverb>
   <chorus>
    <enabled>
    yes
    </enabled>
    <level>
    0
    </level>
   </chorus>
   <volume_curve>
   1.0000
   </volume_curve>
  </midi>
 </audio>
</config>" > "$HOME/.exult.cfg"
fi

cd "$HOME/.exult" && exult "$*"
